AnsweredAssumed Answered

Ask and wait to select a plane with macros

Question asked by Marco Cruz on Mar 13, 2019
Latest reply on Mar 15, 2019 by Marco Cruz

Hi.

 

I have created many macros, but I am having some dificulty with a simple easy task.

 

I want to create a sketch in user choosen plane.

 

I know I could do it on a pre-defined plane, but I need to be able to choose it.

 

This isnt enough:

 

Set Part = swApp.ActiveDoc

Part.SketchManager.InsertSketch True

boolstatus = Part.Extension.SelectByID2("Right Plane", "PLANE", 0, 1, 1, False, 0, Nothing, 0)

Part.ClearSelection2 True

 

any ideas?

 

Thanks!

Outcomes